# Class SimpleMarchingCubes

java.lang.Object
org.jmol.util.TriangleData
org.jmol.jvxl.calc.MarchingCubes
org.openscience.jvxl.simplewriter.SimpleMarchingCubes

public class SimpleMarchingCubes extends MarchingCubes

## Field Summary

### Fields inherited from class MarchingCubes

`bsExcludedPlanes, bsExcludedTriangles, bsExcludedVertices, bsValues, bsVoxels, colorDensity, contourType, cubeCountX, cubeCountY, cubeCountZ, cubeVertexVectors, cutoff, edgeCount, edgeData, edgePointIndexes, edgeTypeTable, edgeVectors, edgeVertexPlanes, edgeVertexPlanesHighToLow, edgeVertexPlanesLowToHigh, edgeVertexPointers, edgeVertexPointersHighToLow, edgeVertexPointersLowToHigh, fReturn, insideMaskTable, integrateSquared, isContoured, isCutoffAbsolute, isoPointIndexPlanes, isSquared, isXLowToHigh, linearOffsets, mode, MODE_CUBE, MODE_JVXL, MODE_PLANES, nTriangles, nY, nZ, pointA, pt0, surfaceReader, vertexValues, volumeData, voxelVertexVectors, yzCount, yzPlanePts, yzPlanes`

### Fields inherited from class TriangleData

`cubeVertexOffsets, edgeVertexes, Pwr2, triangleTable2`

## Constructor Summary

Constructors
Constructor
Description
`SimpleMarchingCubes(VoxelDataCreator vdc, VolumeData volumeData, Parameters params, JvxlData jvxlData, Lst<P3> surfacePointsReturn, float[] areaVolumeReturn)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addTriangle(int ia, int ib, int ic, int edgeType)`
`protected float`
`getValue(int i, int x, int y, int z, int pt, float[] tempValues)`
`protected int`
`newVertex(P3 pointA, V3 edgeVector, float f)`
`protected void`
`processTriangles(int insideMask)`

### Methods inherited from class MarchingCubes

`addEdgeData, addVertex, calcVertexPoint, calcVoxelVertexVectors, getEdgeData, getLinearOffset, getValueArray, isInside, processOneCubical, resetIndexPlane, setLinearOffsets, setParameters`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleMarchingCubes

public SimpleMarchingCubes(VoxelDataCreator vdc, VolumeData volumeData, Parameters params, JvxlData jvxlData, Lst<P3> surfacePointsReturn, float[] areaVolumeReturn)

## Method Details

### getValue

protected float getValue(int i, int x, int y, int z, int pt, float[] tempValues)

### newVertex

protected int newVertex(P3 pointA, V3 edgeVector, float f)

### processTriangles

protected void processTriangles(int insideMask)

Overrides:
  `processTriangles` in class `MarchingCubes`

### addTriangle

protected void addTriangle(int ia, int ib, int ic, int edgeType)

Overrides:
  `addTriangle` in class `MarchingCubes`